## org.apache.mahout.math.hadoop
Class DistributedRowMatrix.DistributedMatrixIterator

    java.lang.Object
      org.apache.mahout.math.hadoop.DistributedRowMatrix.DistributedMatrixIterator

All Implemented Interfaces:
  java.util.Iterator<MatrixSlice>

Enclosing class:
  DistributedRowMatrix

    public static class DistributedRowMatrix.DistributedMatrixIterator

extends java.lang.Object
implements java.util.Iterator<MatrixSlice>

Constructor Summary
`DistributedRowMatrix.DistributedMatrixIterator(org.apache.hadoop.fs.FileSystem fs, org.apache.hadoop.fs.Path rowPath, org.apache.hadoop.mapred.JobConf conf)`

Method Summary
`boolean` `hasNext()`
`MatrixSlice` `next()`
`void` `remove()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DistributedRowMatrix.DistributedMatrixIterator

    public DistributedRowMatrix.DistributedMatrixIterator(org.apache.hadoop.fs.FileSystem fs,
                                                          org.apache.hadoop.fs.Path rowPath,
                                                          org.apache.hadoop.mapred.JobConf conf)
                                                   throws java.io.IOException

Throws:
  `java.io.IOException`

Method Detail

### hasNext

    public boolean hasNext()

  Specified by:
    `hasNext` in interface `java.util.Iterator<MatrixSlice>`

### next

    public MatrixSlice next()

  Specified by:
    `next` in interface `java.util.Iterator<MatrixSlice>`

### remove

    public void remove()

  Specified by:
    `remove` in interface `java.util.Iterator<MatrixSlice>`

Copyright © 2008-2010 The Apache Software Foundation. All Rights Reserved.